package com.clx.performance.service.vehiclewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.vehiclewarn.PageVehicleWarnRangeParam;
import com.clx.performance.param.pc.vehiclewarn.VehicleWarnRangeResumeUpdateParam;
import com.clx.performance.param.pc.vehiclewarn.VehicleWarnRangeSuspendUpdateParam;
import com.clx.performance.vo.pc.vehiclewarn.VehicleWarnRangDTO;

public interface VehicleWarnRangeService {

    void updateSuspend(VehicleWarnRangeSuspendUpdateParam param);
    void updateResume(VehicleWarnRangeResumeUpdateParam param);
    VehicleWarnRangDTO getRange(Integer id);
    IPage<VehicleWarnRangDTO> pageRange(PageVehicleWarnRangeParam param);

}
